<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Form Estimasi Pendapatan Terkait</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Estimasi Pendapatan terkait
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <form method="post" th:object="${estimasiPendapatanTerkait}" th:action="@{'/finance/estimasi_pendapatan_terkait/'+${status}}">
                    <div class="card">
                        <div class="card-header">
                            <h4>Form</h4>
                        </div>
                        <div class="card-body">
                            <div class="mb-3">
                                <label for="instansi" class="form-label">Company</label>
                                <select class="form-select" id="instansi" name="instansi" th:field="*{instansi}" required>
                                    <option th:each="instansi : ${listInstansi}"
                                            th:text="${instansi.kode + ' - ' + instansi.nama}"
                                            th:value="${instansi.id}"></option>
                                </select>
                            </div>
                            <!-- Input untuk Keterangan -->
                            <div class="mb-3">
                                <label for="keterangan" class="form-label">Description</label>
                                <textarea class="form-control" id="keterangan" name="keterangan" th:field="*{keterangan}" rows="3"></textarea>
                            </div>

<!--                            <div class="mb-3">-->
<!--                                <label for="satuan" class="form-label">Unit</label>-->
<!--                                <input type="text" class="form-control" id="satuan" th:field="*{satuan}" name="satuan" placeholder="Unit">-->
<!--                                <p th:if="${#fields.hasErrors('satuan')}" th:errors="*{satuan}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->

                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Unit</label>
                                <select class="form-select" id="selectsatu" name="satuan" th:field="*{satuan}" data-placeholder="Choose one thing">
                                    <option th:each="data : ${satuan}"
                                            th:text="${'('+ data.satuan +')'  + '       -       ' +  data.satuan}"
                                            th:value="${data.satuan}">sdasd</option>
                                </select>
                            </div>

                            <div class="mb-3">
                                <label for="nominalSatuan" class="form-label">Nominal Unit</label>
                                <input type="number" class="form-control" id="nominalSatuan" th:field="*{nominalSatuan}" name="nominalSatuan" placeholder="0">
                                <p th:if="${#fields.hasErrors('nominalSatuan')}" th:errors="*{nominalSatuan}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

<!--                            <input type="hidden" name="periodeAnggaran" th:value="${periodeAnggaran.getId()}" th:field="periodeAnggaran">-->
                            <input type="hidden" id="id" name="id" th:field="*{id}">
                        </div>
                        <div class="card-footer">
<!--                            <button type="submit" class="btn btn-primary" style="&#45;&#45;bs-btn-bg: #15408d" id="simpan">Save</button>-->

                            <a th:href="@{/finance/estimasi_pendapatan_terkait}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>
                    <!-- Input untuk Instansi -->
                </form>

            </div>
        </div>

    </main>

</main>

</body>
</html>
